summaryrefslogtreecommitdiffstats
path: root/system/postgresql/postgresql.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/postgresql/postgresql.SlackBuild')
-rw-r--r--system/postgresql/postgresql.SlackBuild26
1 files changed, 13 insertions, 13 deletions
diff --git a/system/postgresql/postgresql.SlackBuild b/system/postgresql/postgresql.SlackBuild
index 0b77a2a795..bffcc46125 100644
--- a/system/postgresql/postgresql.SlackBuild
+++ b/system/postgresql/postgresql.SlackBuild
@@ -1,16 +1,16 @@
#!/bin/sh
## Slackware build script for PostgreSQL
-## $Revision: a8b7a8527f9a $
-## $Date: 2008/06/11 08:11:50 $
-##
-## Copyright 2007-2008 Adis Nezirovic <adis _at_ linux.org.ba>
+## $Revision: 5548380e2466 $
+## $Date: 2009/09/09 17:37:50 $
+##
+## Copyright 2007-2009 Adis Nezirovic <adis _at_ linux.org.ba>
## Licensed under GNU GPL v2
# Modified by the SlackBuilds.org Project
PRGNAM=postgresql
-VERSION=8.3.7
+VERSION=8.4.2
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -62,17 +62,20 @@ CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
--with-openssl \
--with-tcl \
--with-perl \
--with-python \
--with-ldap \
--with-libxml \
+ --with-libxslt \
--enable-thread-safety \
--build=$ARCH-slackware-linux
make
-make install-strip DESTDIR=$PKG
+make install-strip DESTDIR=$PKG
# adminpack extension for pgAdmin
cd contrib/adminpack
@@ -82,10 +85,9 @@ cd $TMP/$PRGNAM-$VERSION
# Since version 8.3 tsearch2 is directly supported by PostgreSQL
# This contrib module is now a compatibility layer.
-# If you haven't user tsearch2 previously you can disable
-# compatibility layer by running:
-# TSEARCH2_COMPAT=no ./postgresql.SlackBuild
-if [ "$TSEARCH2_COMPAT" != "no" ]; then
+# You can enable it by with:
+# TSEARCH2_COMPAT=yes ./postgresql.SlackBuild
+if ! [ "${TSEARCH2_COMPAT:-no}" == "no" ]; then
cd contrib/tsearch2
make
make install-strip DESTDIR=$PKG
@@ -103,12 +105,10 @@ cd $TMP/$PRGNAM-$VERSION
for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
)
-mv $PKG/usr/doc/$PRGNAM $PKG/usr/doc/$PRGNAM-$VERSION
cp -a COPYRIGHT HISTORY README doc/* $PKG/usr/doc/$PRGNAM-$VERSION/
rm -rf $PKG/usr/doc/$PRGNAM-$VERSION/{man.tar.gz,man1,manl,man7,postgres.tar.gz}
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
cat $CWD/README.SBo > $PKG/usr/doc/$PRGNAM-$VERSION/README.SBo
-chown -R root:root $PKG/usr/doc
# base database directory
# assumes you are using /var/lib/pgsql as a homedir for postgres user
@@ -136,4 +136,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}